Page MenuHomePhabricator

EventLogging client should log errors (e.g url too long, or validation failure)
Closed, ResolvedPublic

Description

Right now events that happen to produce a url that is too long are silently dropped on the client. This causes a very counter-intuitive bias in data sometimes.

At the very least we should increment a counter somewhere that tracks the number of errors for this schema. Perhaps something like eventlogging.error.NavigationTiming.urlSize (to complement the existing eventlogging.schema.NavigationTiming increment).

We could do either through a dedicated Schema of sorts (which we then aggregate etc.) but this runs the risk of a loop potentially and other complications. It probably makes more sense to take a light-weight approach by hitting the statsv endpoint directly and bypass EventLogging (as to not use EventLogging to track potential problems with EventLogging).

See also:

Event Timeline

Krinkle created this task.Sep 14 2015, 9:30 PM
Krinkle updated the task description. (Show Details)
Krinkle raised the priority of this task from to Needs Triage.
Krinkle moved this task to Backlog on the Analytics-EventLogging board.
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2015, 9:30 PM
Krinkle triaged this task as Normal priority.Sep 15 2015, 4:18 PM
Krinkle claimed this task.

Change 238474 had a related patch set uploaded (by Krinkle):
Consider urlSize to be of type 'fatal' and log to statsd

https://gerrit.wikimedia.org/r/238474

Change 238474 merged by jenkins-bot:
Log url size errors to statsd

https://gerrit.wikimedia.org/r/238474

Change 238512 had a related patch set uploaded (by Krinkle):
Log url size errors to statsd

https://gerrit.wikimedia.org/r/238512

Change 238513 had a related patch set uploaded (by Krinkle):
Log url size errors to statsd

https://gerrit.wikimedia.org/r/238513

Change 238512 merged by jenkins-bot:
Log url size errors to statsd

https://gerrit.wikimedia.org/r/238512

Change 238513 merged by jenkins-bot:
Log url size errors to statsd

https://gerrit.wikimedia.org/r/238513

Krinkle closed this task as Resolved.Sep 16 2015, 8:28 PM